import { __awaiter, __extends, __generator } from "tslib";
import BaseGetterApiConsumer from '../base-getter-api-consumer/base-getter-api-consumer';
var SdkGetterApiConsumer = /** @class */ (function (_super) {
    __extends(SdkGetterApiConsumer, _super);
    function SdkGetterApiConsumer(SDKMethod, params) {
        var _this = _super.call(this, params) || this;
        _this.SDKMethod = SDKMethod;
        return _this;
    }
    SdkGetterApiConsumer.prototype.getItem = function (_a) {
        var itemId = _a.itemId;
        return this._getItem([itemId]);
    };
    SdkGetterApiConsumer.prototype.getNestedItem = function (_a) {
        var parentId = _a.parentId, itemId = _a.itemId;
        return this._getItem([parentId, itemId]);
    };
    SdkGetterApiConsumer.prototype._getItem = function (args) {
        return __awaiter(this, void 0, void 0, function () {
            var response, err_1;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, this.SDKMethod.apply(this, args)];
                    case 1:
                        response = _a.sent();
                        response = this.responseHandler(response);
                        if (this.userResponseHandler) {
                            response = this.userResponseHandler(response);
                        }
                        return [2 /*return*/, response];
                    case 2:
                        err_1 = _a.sent();
                        throw err_1;
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    return SdkGetterApiConsumer;
}(BaseGetterApiConsumer));
export default SdkGetterApiConsumer;
//# sourceMappingURL=sdk-getter-api-consumer.js.map